<h1>Account
  <span *ngIf="account?.id !== null">editieren</span>
  <span *ngIf="account?.id === null">anlegen</span>
</h1>
<br>

<app-account-form [account]="account" [validationErrors]="validationErrors" [roles]="roles | async"
                  (save)="save($event)"></app-account-form>

<br>
<div *ngIf="account?.id !== null">
  <hr>
  <br>
  <form [formGroup]="passwordForm">
    <div class="form-group row">
      <label for="inputPasswordUpdate" class="col-sm-2 col-form-label">Password</label>
      <div class="col-sm-10">
        <input type="password" nbInput class="form-control" id="inputPasswordUpdate" formControlName="password"
               [ngClass]="{'is-invalid':!passwordForm.get('password').valid && passwordForm.get('password').touched}"
               autocomplete="new-password">
        <div class="invalid-feedback" *ngFor="let err of passwordForm.get('password').getError('backendErrors')">
          {{err}}
        </div>
      </div>
    </div>
    <div class="form-group row">
      <div class="col-sm-10">
        <button nbButton [disabled]="!passwordForm.valid" type="submit" (click)="savePassword()">
          SET PASSWORD
        </button>
      </div>
    </div>
  </form>
</div>
